<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE list SYSTEM "../../templates/skills.dtd">
<list>
  <skill id="4100" levels="12" name="NPC Prominence">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4101" levels="12" name="NPC Spinning Slash">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#power"> 46 105 219 417 722 1136 1626 1876 2112 2320 2487 2617 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="150"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4102" levels="3" name="Surrender To Fire">
    <!--
      Description:
      Lvl 1-3: Instantly decreases resistance to fire attacks
      and increases resistance to water attacks. Effect 1-3 -->
    <table name="#fireRes"> 15 20 20 </table> <!-- Custom Lvl 3, needs retail values -->
    <table name="#waterRes"> 15 20 20 </table> <!-- Custom Lvl 3, needs retail values -->
    <table name="#mpInitialConsume"> 4 7 13 </table>
    <table name="#mpConsume"> 16 28 52 </table>
    <table name="#magicLvl"> 40 70 70 </table> <!-- Custom Lvl 3, needs retail values -->
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="isDebuff" val="true"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1500"/>
    <set name="skillType" val="WEAKNESS"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="120" val="0" stackOrder="2" stackType="surrender">
        <sub order="0x40" stat="fireRes" val="#fireRes"/>
        <add order="0x40" stat="waterRes" val="#waterRes"/>
      </effect>
    </for>
  </skill>
  <skill id="4103" levels="2" name="NPC Ultimate Evasion">
    <!-- Done by dc -->
    <table name="#rEvas"> 20 25 </table>
    <table name="#mpInitialConsume"> 7 13 </table>
    <table name="#mpConsume"> 28 52 </table>
    <table name="#magicLvl"> 40 70 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="30" val="0" stackOrder="#rEvas" stackType="avoid_up_special">
        <add order="0x40" stat="rEvas" val="#rEvas"/>
      </effect>
    </for>
  </skill>
  <skill id="4104" levels="12" name="Flame">
    <table name="#dmg"> 14 21 30 40 51 61 68 68 75 75 81 81 </table>
    <table name="#mpInitialConsume"> 3 6 9 12 15 18 21 22 23 25 26 27 </table>
    <table name="#mpConsume"> 13 24 36 48 60 72 84 89 95 100 105 111 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="DOT"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect count="45" name="DamOverTime" val="#dmg"/>
    </for>
  </skill>
  <skill id="4105" levels="12" name="NPC Straight Beam Cannon">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4106" levels="1" name="Antharas Stun">
    <!-- Antharas Skills - "Antharas Jump" from Front -->
    <set name="magicLvl" val="70"/>
    <set name="power" val="11000"/>
    <set name="target" val="TARGET_FRONT_AURA"/>
    <set name="skillRadius" val="1100"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="6000"/>
    <set name="coolTime" val="2000"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="80" effectType="STUN" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4107" levels="1" name="Antharas Stun">
    <!-- Antharas Skills - "Antharas Tail" from Behind -->
    <set name="magicLvl" val="70"/>
    <set name="power" val="11000"/>
    <set name="target" val="TARGET_MULTIFACE"/>
    <set name="skillRadius" val="1500"/>
    <set name="flyRadius" val="500"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="3000"/>
    <set name="interruptTime" val="1500"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="80" effectType="STUN"/>
      <effect name="ThrowUp" noicon="1" val="0" stackOrder="1" stackType="fly_away"/>
    </for>
  </skill>
  <skill id="4108" levels="1" name="Antharas Terror">
    <!-- Antharas Skills -->
    <set name="magicLvl" val="70"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="400"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="2700"/>
    <set name="skillType" val="FEAR"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect count="15" name="Fear" time="2" val="0" stackOrder="1" stackType="turn_flee"/>
    </for>
  </skill>
  <skill id="4109" levels="1" name="Curse of Antharas">
    <!-- Antharas Skills -->
    <set name="magicLvl" val="70"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_MULTIFACE"/>
    <set name="skillRadius" val="850"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="1200"/>
    <set name="interruptTime" val="1429"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Debuff" time="120" val="0" stackOrder="1" stackType="antaras_debuff">
        <sub order="0x40" stat="accCombat" val="19"/>
        <sub order="0x40" stat="rEvas" val="19"/>
        <mul order="0x30" stat="mAtk" val="0.85"/>
        <basemul order="0x30" stat="rCrit" val="-0.9"/>
        <mul order="0x30" stat="mDef" val="0.6"/>
        <mul order="0x30" stat="pAtkSpd" val="0.75"/>
        <mul order="0x30" stat="runSpd" val="0.5"/>
        <mul order="0x30" stat="pAtk" val="0.85"/>
        <mul order="0x30" stat="pDef" val="0.6"/>
        <mul order="0x30" stat="mAtkSpd" val="0.75"/>
      </effect>
    </for>
  </skill>
  <skill id="4110" levels="2" name="Breath Attack">
    <!-- Antharas Skills -->
    <table name="#castRange"> 500 1000 </table>
    <table name="#effectRange"> 1000 1500 </table>
    <set name="magicLvl" val="70"/>
    <set name="power" val="250"/>
    <set name="target" val="TARGET_MULTIFACE"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="2300"/>
    <set name="coolTime" val="2700"/>
    <set name="skillRadius" val="1200"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="#castRange"/>
    <set name="effectRange" val="#effectRange"/>
  </skill>
  <skill id="4111" levels="1" name="Antharas Fossilization">
    <!-- Antharas Skills -->
    <set name="magicLvl" val="70"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="50"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="700"/>
    <set name="overHit" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="1800"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="1000"/>
    <set name="effectRange" val="1500"/>
    <for>
      <effect name="Petrify" time="120" val="0" stackOrder="120" stackType="turn_stone"/>
    </for>
  </skill>
  <skill id="4112" levels="1" name="Ordinary Attack">
    <!-- Antharas Skills -->
    <set name="magicLvl" val="70"/>
    <set name="power" val="22000"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="100"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="50"/>
    <set name="effectRange" val="500"/>
  </skill>
  <skill id="4113" levels="1" name="Animal doing ordinary attack">
    <!-- Antharas Skills -->
    <set name="magicLvl" val="70"/>
    <set name="power" val="22000"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="100"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="50"/>
    <set name="effectRange" val="500"/>
  </skill>
  <skill id="4114" levels="1" name="Aden Flame">
    <!-- Done by DJ MELERIX -->
    <set name="castRange" val="1100"/>
    <set name="effectRange" val="1600"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="65"/>
    <set name="mpInitialConsume" val="18"/>
    <set name="mpConsume" val="72"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="47"/>
    <set name="reuseDelay" val="15000"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="MDAM"/>
    <set name="target" val="TARGET_AREA"/>
  </skill>
  <skill id="4115" levels="1" name="Aden Heal">
    <!-- Done by DJ MELERIX -->
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="hitTime" val="5000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="65"/>
    <set name="mpInitialConsume" val="21"/>
    <set name="mpConsume" val="84"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="689"/>
    <set name="reuseDelay" val="10000"/>
    <set name="skillType" val="HEAL"/>
    <set name="target" val="TARGET_ONE"/>
  </skill>
  <skill id="4116" levels="10" name="Resist M. Atk.">
    <!-- Done by dc -->
    <table name="#mDef"> 1.05 1.11 1.17 1.25 1.33 1.43 1.67 2 3.33 10 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="mDef" val="#mDef"/>
    </for>
  </skill>
  <skill id="4117" levels="12" name="Paralysis">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="50"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="6000"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <for>
      <effect name="Paralyze" time="120" val="0"/>
    </for>
  </skill>
  <skill id="4118" levels="7" name="Paralysis">
    <table name="#mpInitialConsume"> 3 5 8 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 14 23 32 42 54 66 78 83 87 90 92 93 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="25"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="6000"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="300"/>
    <set name="effectRange" val="800"/>
    <for>
      <effect name="Paralyze" time="20" val="0"/>
    </for>
  </skill>
  <skill id="4119" levels="3" name="Decrease Accuracy">
    <table name="#mpInitialConsume"> 4 7 13 </table>
    <table name="#mpConsume"> 16 28 52 </table>
    <table name="#accCombat"> 11 12 13 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <table name="#time"> 5 10 15 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1500"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="#time" val="0" stackOrder="#accCombat" stackType="accuracyDown">
        <sub order="0x40" stat="accCombat" val="#accCombat"/>
      </effect>
    </for>
  </skill>
  <skill id="4120" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 5 8 11 15 19 24 28 30 31 33 33 34 </table>
    <table name="#mpConsume"> 20 32 44 60 79 96 113 120 127 132 134 136 </table>
    <table name="#power"> 46 105 219 417 722 1136 1626 1876 2112 2320 2487 2617 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="17000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="PDAM"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="50" effectType="STUN" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4121" levels="12" name="Summoned Monster Magic Protection">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="50"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="derangementVuln" val="0.5"/> <!-- TEMP FIX: Changed from 0 to 0.5 due to formulas are not retail like -->
    </for>
  </skill>
  <skill id="4122" levels="1" name="Antharas">
    <!-- Antharas Skills -->
    <set name="magicLvl" val="70"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <sub order="0x40" stat="windRes" val="50"/>
      <add order="0x40" stat="earthRes" val="95"/>
    </for>
  </skill>
  <skill id="4123" levels="12" name="Hostile Feeling">
    <table name="#mpInitialConsume"> 2 3 5 7 9 11 13 15 16 16 16 17 </table>
    <table name="#mpConsume"> 9 15 20 28 36 44 52 60 64 66 67 68 </table>
    <table name="#power"> 1078 1107 1136 1166 1195 1224 1254 1283 1312 1342 1371 1400 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="AGGDAMAGE"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
  </skill>
  <skill id="4124" levels="12" name="NPC Spear Attack">
    <table name="#mpInitialConsume"> 5 8 11 15 19 24 28 30 31 33 33 34 </table>
    <table name="#mpConsume"> 20 32 44 60 79 96 113 120 127 132 134 136 </table>
    <table name="#power"> 122 279 584 1110 1923 3030 4336 5002 5632 6187 6632 6978 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="17000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
  </skill>
  <skill id="4125" levels="1" name="Antharas Regeneration">
    <!-- Done by DJ MELERIX -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Buff" time="1800" val="0">
        <mul order="0x30" stat="regHp" val="0.05"/>
      </effect>
    </for>
  </skill>
  <skill id="4126" levels="1" name="Reduction in recovery time">
    <!-- Done by DJ MELERIX -->
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="magicLvl" val="40"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="BUFF"/>
    <set name="target" val="TARGET_ONE"/>
    <for>
      <effect name="Buff" time="10" val="0" stackOrder="1" stackType="public_slot">
        <mul order="0x30" stat="pReuse" val="0.01"/>
      </effect>
    </for>
  </skill>
  <skill id="4127" levels="1" name="Baium: General Attack">
    <!-- Baium Skills -->
    <set name="magicLvl" val="75"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="1500"/>
    <set name="coolTime" val="1000"/>
    <set name="reuseDelay" val="2500"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="100"/>
    <set name="effectRange" val="600"/>
  </skill>
  <skill id="4128" levels="1" name="Wind Of Force">
    <!-- Baium Skills -->
    <set name="magicLvl" val="75"/>
    <set name="power" val="14000"/>
    <set name="target" val="TARGET_MULTIFACE"/>
    <set name="skillRadius" val="600"/>
    <set name="hitTime" val="2300"/>
    <set name="coolTime" val="1700"/>
    <set name="reuseDelay" val="4000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4129" levels="1" name="Earthquake">
    <!-- Baium Skills -->
    <set name="magicLvl" val="75"/>
    <set name="power" val="4000"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="250"/>
    <set name="hitTime" val="1500"/>
    <set name="coolTime" val="2500"/>
    <set name="reuseDelay" val="4000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="baseCritRate" val="15"/>
  </skill>
  <skill id="4130" levels="1" name="Striking of Thunderbolt">
    <!-- Baium Skills -->
    <set name="magicLvl" val="75"/>
    <set name="power" val="367"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="300"/>
    <set name="hitTime" val="6000"/>
    <set name="coolTime" val="4000"/>
    <set name="interruptTime" val="3000"/>
    <set name="reuseDelay" val="10000"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
  </skill>
  <skill id="4131" levels="1" name="Stun">
    <!-- Baium Skills -->
    <set name="magicLvl" val="75"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="10"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="150"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="1400"/>
    <set name="interruptTime" val="1250"/>
    <set name="reuseDelay" val="5000"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
    <for>
      <effect name="Paralyze" time="30" val="0"/>
    </for>
  </skill>
  <skill id="4132" levels="1" name="Spear: Pound the Ground">
    <set name="magicLvl" val="75"/>
    <set name="power" val="3885"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="150"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4133" levels="1" name="Angel Heal">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="75"/>
    <set name="power" val="1000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="HEAL"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1000"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4134" levels="1" name="Seal Skill">
    <set name="target" val="TARGET_SELF"/>
    <set name="hitTime" val="20000"/>
    <set name="interruptTime" val="4500"/>
    <set name="skillType" val="WEAKNESS"/>
    <set name="magicLvl" val="75"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
  </skill>
  <skill id="4135" levels="1" name="Baium Heal">
    <!-- Done by DJ MELERIX - Baium Skills -->
    <set name="magicLvl" val="75"/>
    <set name="power" val="1000000"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="hitTime" val="100"/>
    <set name="skillType" val="HEAL"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4136" levels="1" name="Baium's Gift">
    <!-- Baium Skills -->
    <set name="power" val="1000000"/>
    <set name="magicLvl" val="75"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="1000"/>
    <set name="effectRange" val="1500"/>
  </skill>
  <skill id="4137" levels="12" name="Hydro Screw">
    <table name="#mpInitialConsume"> 3 5 8 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 14 23 32 42 54 66 78 83 87 90 92 93 </table>
    <table name="#power"> 9 13 19 26 34 43 51 55 58 61 63 65 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="element" val="1"/> <!-- Water -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="1000"/>
  </skill>
  <skill id="4138" levels="12" name="NPC AE - Corpse Burst">
    <table name="#mpInitialConsume"> 3 5 8 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 14 23 32 42 54 66 78 83 87 90 92 93 </table>
    <table name="#power"> 9 13 19 26 34 43 51 55 58 61 63 65 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AREA_CORPSE_MOB"/>
    <set name="skillRadius" val="200"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
  </skill>
  <skill id="4139" levels="12" name="Boom Attack">
    <table name="#power"> 33 49 71 98 128 161 192 207 219 230 238 244 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="6000"/>
    <set name="skillType" val="MDAM"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="isMagic" val="false"/> <!-- This skill is MDAM but not magic (casting can't be cancelled) -->
    <set name="isSuicideAttack" val="true"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4140" levels="12" name="Contract Payment">
    <!-- Done by DJ MELERIX -->
    <table name="#mdot"> 3 3.3 3.6 3.9 4.2 4.5 4.8 4.8 5.1 5.1 5.4 5.4 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <table name="#stack"> 1 2 3 4 5 6 7 7 8 8 9 9 </table>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="100"/> <!-- Base Land Rate -->
    <set name="reuseDelay" val="8000"/>
    <set name="skillType" val="MDOT"/>
    <set name="target" val="TARGET_ONE"/>
    <for>
      <effect count="20" name="ManaDamOverTime" time="3" val="#mdot" stackOrder="#stack" stackType="dot_mp"/>
    </for>
  </skill>
  <skill id="4141" levels="12" name="NPC Wind Fist">
    <!-- Done by DJ MELERIX -->
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="1000"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="1500"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="PDAM"/>
    <set name="target" val="TARGET_ONE"/>
  </skill>
  <skill id="4142" levels="12" name="NPC Fast Wind Fist">
    <!-- Done by DJ MELERIX -->
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="1000"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="1100"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="PDAM"/>
    <set name="target" val="TARGET_ONE"/>
  </skill>
  <skill id="4143" levels="10" name="Treasure Bomb">
    <!-- levels 9 & 10 need to be confirmed -->
    <table name="#power"> 2 4 8 15 23 35 48 63 80 100 </table>
    <table name="#magicLvl"> 5 15 25 35 45 55 65 75 85 95 </table>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="350"/>
    <set name="hitTime" val="500"/>
    <set name="skillType" val="MDAM"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="isMagic" val="true"/>
    <set name="isSuicideAttack" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4144" levels="80" name="Mimic Strong Attack">
    <!-- Done by DJ MELERIX -->
    <table name="#magicLvl"> 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 </table>
    <table name="#power"> 1 1 1 3 6 9 13 18 23 30 39 45 52 60 69 79 90 103 117 132 150 169 190 214 240 268 300 334 372 413 458 507 560 618 681 749 823 902 988 1081 1180 1286 1400 1523 1653 1792 1941 2099 2266 2444 2632 2831 3042 3263 3497 3742 4000 4270 4553 4848 5156 5477 5811 6158 6518 6890 7276 7673 8083 8504 8637 9381 9836 10300 10774 11257 11748 12246 12750 13261 </table>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="200"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="#power"/>
    <set name="skillType" val="PDAM"/>
    <set name="target" val="TARGET_ONE"/>
  </skill>
  <skill id="4145" levels="3" name="Decrease P. Atk.">
    <!-- Danger Zone Skill -->
    <!-- They don't have anything defined client side (optype = target_self, castrange = -1) -->
    <table name="#effect"> 1 2 3 </table>
    <table name="#pAtk"> 0.83 0.8 0.77 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Environment" time="3600" count="0x7fffffff" val="0" stackOrder="#effect" stackType="area_weakness">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
      </effect>
    </for>
  </skill>
  <skill id="4146" levels="3" name="Decrease P.Def">
    <!-- Danger Zone Skill -->
    <!-- They don't have anything defined client side (optype = target_self, castrange = -1) -->
    <table name="#effect"> 1 2 3 </table>
    <table name="#pDef"> 0.83 0.8 0.77 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Environment" time="3600" count="0x7fffffff" val="0" stackOrder="#effect" stackType="area_pddown">
        <mul order="0x30" stat="pDef" val="#pDef"/>
      </effect>
    </for>
  </skill>
  <skill id="4147" levels="7" name="Area Dispel">
    <!-- Danger Zone Skill -->
    <!-- They don't have anything defined client side (optype = target_self, castrange = -1) -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="NEGATE"/> <!-- Needs core support for "CANCEL_ALL" without exceptions -->
    <set name="negateStats" val="BUFF DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4148" levels="12" name="Poison">
    <!-- Danger Zone Skill -->
    <!-- They don't have anything defined client side (optype = target_self, castrange = -1) -->
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <table name="#dmg"> 12 18 24 31 38 44 48 48 49 49 48 48 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect count="0x7fffffff" name="DamOverTime" time="3" val="#dmg" abnormal="poison" stackOrder="#abnormalLvl" stackType="area_poison"/>
    </for>
  </skill>
  <skill id="4149" levels="12" name="Bleed">
    <!-- Danger Zone Skill -->
    <!-- They don't have anything defined client side (optype = target_self, castrange = -1) -->
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <table name="#damage"> 21 39 51 66 81 93 102 102 105 105 102 102 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect count="0x7fffffff" name="DamOverTime" time="3" val="#damage" abnormal="bleed" stackOrder="#abnormalLvl" stackType="area_bleed"/>
    </for>
  </skill>
  <skill id="4150" levels="12" name="Flame">
    <!-- Danger Zone Skill -->
    <!-- They don't have anything defined client side (optype = target_self, castrange = -1) -->
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <table name="#dmg"> 14 21 30 40 51 61 68 68 72 72 74 74 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="target" val="TARGET_SELF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="skillType" val="BUFF"/>
    <for>
      <effect count="0x7fffffff" name="DamOverTime" time="3" val="#dmg" abnormal="flame" stackOrder="#abnormalLvl" stackType="area_fire"/>
    </for>
  </skill>
  <skill id="4151" levels="12" name="NPC Windstrike - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="3000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4152" levels="12" name="NPC HP Drain - Magic">
    <table name="#mpInitialConsume"> 1 2 3 5 6 7 9 9 10 10 10 11 </table>
    <table name="#mpConsume"> 7 11 15 20 25 31 37 39 41 42 43 44 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="reuseDelay" val="3000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="5"/> <!-- Dark -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="DRAIN"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="absorbPart" val="0.2"/> <!-- absorbs 20% of damage -->
  </skill>
  <skill id="4153" levels="12" name="Decrease Speed">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 11 16 23 31 41 51 61 66 70 73 76 78 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="reuseDelay" val="3000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="3100"/>
    <set name="coolTime" val="200"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="30" val="0" effectPower="60" effectType="DEBUFF" stackOrder="0.7" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="0.7"/>
      </effect>
    </for>
  </skill>
  <skill id="4154" levels="12" name="NPC MP Drain - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 34 57 78 105 134 165 194 206 216 224 229 232 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MANADAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4155" levels="12" name="NPC Twister - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4156" levels="12" name="NPC Curve Beam Cannon - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4157" levels="12" name="NPC Blaze - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4158" levels="12" name="NPC Prominence - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4159" levels="12" name="NPC Straight Beam Cannon - Magic">
    <table name="#mpInitialConsume"> 1 2 2 3 4 5 6 7 7 7 7 7 </table>
    <table name="#mpConsume"> 5 8 11 14 18 22 26 28 29 30 31 31 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="3000"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4160" levels="12" name="NPC Aura Burn - Magic">
    <table name="#mpInitialConsume"> 0 0 0 1 1 1 1 1 2 2 2 2 </table>
    <table name="#mpConsume"> 2 2 3 4 5 6 7 7 8 8 8 8 </table>
    <table name="#power"> 5 7 10 13 17 22 26 28 29 31 32 33 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="1500"/>
    <set name="interruptTime" val="1500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="150"/>
    <set name="effectRange" val="650"/>
  </skill>
  <skill id="4161" levels="1" name="Summon PC">
    <!-- Teleports player to mob (Porta/Perum skill) -->
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="GET_PLAYER"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4162" levels="3" name="Decrease Atk. Spd.">
    <!-- Done by DJ MELERIX -->
    <table name="#pAtkSpd"> 0.83 0.8 0.77 </table>
    <set name="magicLvl" val="1"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="10"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/> <!-- Guessing -->
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Debuff" time="5" val="0" stackOrder="#pAtkSpd" stackType="attack_time_up">
        <mul order="0x30" stat="pAtkSpd" val="#pAtkSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4163" levels="12" name="NPC Self-Damage Shield">
    <table name="#mpInitialConsume"> 2 3 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 9 15 20 28 36 44 52 55 57 60 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1800"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Buff" time="600" val="0" stackOrder="20" stackType="DmgShield">
        <add order="0x40" stat="reflectDam" val="20"/>
      </effect>
    </for>
  </skill>
  <skill id="4164" levels="18" name="Paralysis">
    <!-- Cubic Skill -->
    <table name="#magicLvl"> 40 44 48 52 56 60 64 68 72 73 74 75 76 77 78 79 80 81 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="20"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Paralyze" time="30" val="0"/>
    </for>
  </skill>
  <skill id="4165" levels="17" name="Icy Air">
    <!-- Cubic Skill -->
    <table name="#dot"> 77 77 77 94 94 108 108 118 118 120 122 128 132 135 140 145 150 </table>
    <table name="#magicLvl"> 40 44 48 52 56 62 66 70 74 75 76 77 78 79 80 81 82 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DOT"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <!-- Retail Values CT2.3: 77 77 77 94 94 108 108 118 118HP * 1 Sec -->
      <effect count="15" name="DamOverTime" val="#dot"/>
    </for>
  </skill>
  <skill id="4166" levels="18" name="Stun">
    <!-- Cubic Skill -->
    <table name="#magicLvl"> 40 44 48 52 56 60 64 68 72 74 75 76 77 78 79 80 81 82 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="STUN"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Stun" time="9" val="0" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4167" levels="1" name="Curse of Fairy Mimyu">
    <!-- Done by DJ MELERIX -->
    <set name="power" val="100"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="3600" val="0" stackOrder="99" stackType="attack_time_up">
        <mul order="0x30" stat="pAtkSpd" val="0.77"/>
        <mul order="0x30" stat="runSpd" val="0.7"/>
      </effect>
    </for>
  </skill>
  <skill id="4168" levels="12" name="BOSS Strike">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 121 325 893 2338 5884 11371 17463 20261 23243 26363 29567 32796 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="4169" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 61 163 447 1169 2942 5686 8732 10131 11622 13182 14784 16398 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="PDAM"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="80" effectType="STUN" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4170" levels="12" name="BOSS Mortal Blow">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 181 487 1339 3507 8825 17057 26195 30391 34864 39544 44350 49193 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="#power"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="condition" val="16"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="BLOW"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="4171" levels="12" name="BOSS Spinning Slash">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 61 163 447 1169 2942 5686 8732 10131 11622 13182 14784 16398 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="#power"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="skillRadius" val="200"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4172" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="50"/> <!-- Base Land Rate -->
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="STUN"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <for>
      <effect name="Stun" time="9" val="0" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4173" levels="12" name="BOSS Might">
    <table name="#mpInitialConsume"> 1 2 3 4 5 6 6 7 7 7 7 8 </table>
    <table name="#mpConsume"> 6 8 12 16 20 24 27 28 30 30 31 32 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="60" val="0" stackOrder="99" stackType="pa_up">
        <mul order="0x30" stat="pAtk" val="1.5"/>
      </effect>
    </for>
  </skill>
  <skill id="4174" levels="12" name="BOSS Shield">
    <table name="#mpInitialConsume"> 1 2 3 4 5 6 6 7 7 7 7 8 </table>
    <table name="#mpConsume"> 6 8 12 16 20 24 27 28 30 30 31 32 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="60" val="0" stackOrder="99" stackType="pd_up">
        <mul order="0x30" stat="pDef" val="1.5"/>
      </effect>
    </for>
  </skill>
  <skill id="4175" levels="12" name="BOSS Haste">
    <table name="#mpInitialConsume"> 1 2 3 4 5 6 6 7 7 7 7 8 </table>
    <table name="#mpConsume"> 6 8 12 16 20 24 27 28 30 30 31 32 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="60" val="0" stackOrder="99" stackType="attack_time_down">
        <mul order="0x30" stat="pAtkSpd" val="1.5"/>
      </effect>
    </for>
  </skill>
  <skill id="4176" levels="12" name="BOSS Reflect Damage">
    <table name="#mpInitialConsume"> 1 2 3 4 5 6 6 7 7 7 7 8 </table>
    <table name="#mpConsume"> 6 8 12 16 20 24 27 28 30 30 31 32 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="REFLECT"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="60" val="0" stackOrder="99" stackType="DmgShield">
        <add order="0x40" stat="reflectDam" val="20"/>
      </effect>
    </for>
  </skill>
  <skill id="4177" levels="12" name="BOSS Cancel Magic">
    <table name="#mpInitialConsume"> 3 4 5 7 9 11 13 14 15 15 15 15 </table>
    <table name="#mpConsume"> 12 17 23 31 39 47 54 57 60 60 61 63 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="NEGATE"/> <!-- Needs core support for "CANCEL_ALL" without exceptions -->
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="negateStats" val="BUFF DEBUFF"/>
  </skill>
  <skill id="4178" levels="12" name="BOSS Flamestrike">
    <table name="#mpInitialConsume"> 4 6 8 11 14 17 20 21 22 22 23 23 </table>
    <table name="#mpConsume"> 18 25 35 46 59 71 81 85 89 91 92 94 </table>
    <table name="#power"> 21 31 43 58 75 92 108 115 121 125 129 132 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
  </skill>
  <skill id="4179" levels="12" name="BOSS Strike">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 121 325 893 2338 5884 11371 17463 20261 23243 26363 29567 32796 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="4180" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 61 163 447 1169 2942 5686 8732 10131 11622 13182 14784 16398 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="80" effectType="STUN" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4181" levels="12" name="BOSS Mortal Blow">
    <table name="#mpInitialConsume"> 3 4 6 8 10 13 15 15 16 16 17 17 </table>
    <table name="#mpConsume"> 12 18 25 33 42 52 60 63 65 67 68 69 </table>
    <table name="#power"> 301 812 2231 5844 14708 28428 43658 50651 58107 65907 73917 81989 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="#power"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="condition" val="16"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="830"/>
    <set name="coolTime" val="660"/>
    <set name="skillType" val="BLOW"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="4182" levels="12" name="Poison">
    <table name="#dmg"> 36 54 72 93 114 132 144 144 147 147 144 144 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="3000"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="POISON"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect count="10" name="DamOverTime" time="3" val="#dmg" abnormal="poison"/>
    </for>
  </skill>
  <skill id="4183" levels="12" name="Decrease P. Atk.">
    <table name="#pAtk"> 0.83 0.8 0.8 0.77 0.77 0.77 0.77 0.77 0.77 0.77 0.77 0.77 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Buff" time="15" val="0" stackOrder="#pAtk" stackType="pAtkDown">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
      </effect>
    </for>
  </skill>
  <skill id="4184" levels="12" name="Decrease Atk. Spd.">
    <table name="#pAtkSpd"> 0.83 0.8 0.8 0.77 0.77 0.77 0.77 0.77 0.77 0.77 0.77 0.77 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="3000"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Debuff" time="15" val="0" stackOrder="#pAtkSpd" stackType="attack_time_up">
        <mul order="0x30" stat="pAtkSpd" val="#pAtkSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4185" levels="12" name="Sleep">
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="SLEEP"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Sleep" time="30" val="0" stackOrder="1" stackType="sleep"/>
    </for>
  </skill>
  <skill id="4186" levels="12" name="Hold">
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="ROOT"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Root" time="30" val="0" stackOrder="1" stackType="Root"/>
    </for>
  </skill>
  <skill id="4187" levels="12" name="Decrease Speed">
    <table name="#runSpd"> 0.85 0.7 0.7 0.5 0.5 0.5 0.5 0.5 0.5 0.5 0.5 0.5 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="50"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <for>
      <effect name="Debuff" time="30" val="0" stackOrder="#runSpd" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="#runSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4188" levels="12" name="Bleed">
    <table name="#damage"> 27 39 51 66 81 93 102 102 105 105 102 102 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="BLEED"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect count="7" name="DamOverTime" time="3" val="#damage" abnormal="bleed">
        <mul order="0x30" stat="runSpd" val="0.8"/>
      </effect>
    </for>
  </skill>
  <skill id="4189" levels="12" name="Paralysis">
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="30"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <for>
      <effect name="Paralyze" time="120" val="0"/>
    </for>
  </skill>
  <skill id="4190" levels="12" name="Decrease MP">
    <table name="#maxMp"> 2 2 2 2 2 4 5 7 8 10 12 12 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <for>
      <effect name="Buff" time="30" val="0">
        <sub order="0x40" stat="maxMp" val="#maxMp"/>
      </effect>
    </for>
  </skill>
  <skill id="4191" levels="12" name="BOSS Windstrike">
    <table name="#mpInitialConsume"> 2 3 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 9 15 20 28 36 44 52 55 57 60 61 62 </table>
    <table name="#power"> 21 31 43 58 75 92 108 115 121 125 129 132 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
  </skill>
  <skill id="4192" levels="12" name="BOSS HP Drain">
    <table name="#mpInitialConsume"> 4 6 9 12 16 19 23 24 26 27 27 27 </table>
    <table name="#mpConsume"> 16 27 37 50 64 79 93 99 104 108 110 111 </table>
    <table name="#power"> 16 23 32 44 56 69 81 86 91 94 97 99 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="5"/> <!-- Dark -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="DRAIN"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
    <set name="absorbPart" val="0.4"/> <!-- absorbs 40% of damage -->
  </skill>
  <skill id="4193" levels="12" name="BOSS Life Drain">
    <table name="#mpInitialConsume"> 6 10 13 18 23 28 33 35 37 38 39 40 </table>
    <table name="#mpConsume"> 24 40 54 72 93 114 134 143 149 155 158 160 </table>
    <table name="#power"> 11 16 22 29 38 46 54 58 61 63 65 66 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="DRAIN"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
    <set name="absorbPart" val="0.8"/> <!-- absorbs 80% of damage -->
  </skill>
  <skill id="4194" levels="12" name="BOSS Aura Burn">
    <table name="#mpInitialConsume"> 2 3 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 9 15 20 28 36 44 52 55 57 60 61 62 </table>
    <table name="#power"> 13 19 26 35 45 56 65 69 73 75 77 79 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="150"/>
    <set name="effectRange" val="650"/>
  </skill>
  <skill id="4195" levels="12" name="BOSS Twister">
    <table name="#mpInitialConsume"> 2 3 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 9 15 20 28 36 44 52 55 57 60 61 62 </table>
    <table name="#power"> 21 31 43 58 75 92 108 115 121 125 129 132 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
  </skill>
  <skill id="4196" levels="12" name="Decrease Speed">
    <table name="#mpInitialConsume"> 2 3 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 9 15 20 28 36 44 52 55 57 60 61 62 </table>
    <table name="#power"> 13 19 26 35 45 56 65 69 73 75 77 79 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="isDebuff" val="true"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="200"/>
    <set name="skillType" val="MDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
    <for>
      <effect name="Debuff" time="30" val="0" effectPower="60" effectType="DEBUFF" stackOrder="0.7" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="0.7"/>
      </effect>
    </for>
  </skill>
  <skill id="4197" levels="12" name="Hold">
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="ROOT"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
    <for>
      <effect name="Root" time="30" val="0" stackOrder="1" stackType="Root"/>
    </for>
  </skill>
  <skill id="4198" levels="12" name="Poison">
    <table name="#dmg"> 36 54 72 93 114 132 144 144 147 147 144 144 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="POISON"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
    <for>
      <effect count="10" name="DamOverTime" time="3" val="#dmg" abnormal="poison"/>
    </for>
  </skill>
  <skill id="4199" levels="12" name="Decrease P. Atk.">
    <table name="#pAtk"> 0.83 0.8 0.8 0.77 0.77 0.77 0.77 0.77 0.77 0.77 0.77 0.77 </table>
    <table name="#mpInitialConsume"> 3 5 7 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 13 23 31 42 53 66 77 82 86 89 92 92 </table>
    <table name="#magicLvl"> 14 24 34 44 54 64 74 79 84 89 94 99 </table>
    <table name="#time"> 5 10 10 15 15 15 15 15 15 15 15 15 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="90"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="isDebuff" val="true"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="750"/>
    <set name="effectRange" val="1250"/>
    <for>
      <effect name="Buff" time="#time" val="0" stackOrder="#pAtk" stackType="pAtkDown">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
      </effect>
    </for>
  </skill>
</list>
